# H323UnidirectionalChannel Class Reference

`#include <channels.h>`

Inheritance diagram for H323UnidirectionalChannel:

List of all members.

## Public Member Functions

void | OnMediaCommand (OpalMediaCommand &command)
Overrides from class H323Channel
virtual Directions | GetDirection () const
virtual PBoolean | SetInitialBandwidth ()
virtual PBoolean | Open ()
virtual PBoolean | Start ()
virtual void | Close ()
virtual void | OnMiscellaneousCommand (const H245_MiscellaneousCommand_type &type)
Member variable access
virtual OpalMediaStreamPtr | GetMediaStream () const

## Protected Attributes

bool | receiver
OpalMediaStreamPtr | mediaStream

## Detailed Description

This class describes a unidirectional logical channel between the two endpoints. They may be created and deleted as required in the H245 protocol.

An application may create a descendent off this class and override functions as required for operating the channel protocol.

## Constructor & Destructor Documentation

H323UnidirectionalChannel::H323UnidirectionalChannel | ( | H323Connection & | connection,
|  | const H323Capability & | capability,
|  | Directions | direction |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using
  direction | Direction of channel

H323UnidirectionalChannel::~H323UnidirectionalChannel | ( |  | ) |

Destroy the channel, deleting the associated media stream.

H323UnidirectionalChannel::H323UnidirectionalChannel | ( | H323Connection & | connection,
|  | const H323Capability & | capability,
|  | Directions | direction |
| ) |  |  |

Create a new channel.

Parameters:

  connection | Connection to endpoint for channel
  capability | Capability channel is using
  direction | Direction of channel

H323UnidirectionalChannel::~H323UnidirectionalChannel | ( |  | ) |

Destroy the channel, deleting the associated media stream.

## Member Function Documentation

virtual Directions H323UnidirectionalChannel::GetDirection | ( |  | ) | const`[virtual]`

Indicate the direction of the channel. Return if the channel is bidirectional, or unidirectional, and which direction for th latter case.

Implements H323Channel.

virtual PBoolean H323UnidirectionalChannel::SetInitialBandwidth | ( |  | ) | `[virtual]`

Set the initial bandwidth for the channel. This calculates the initial bandwidth required by the channel and returns PTrue if the connection can support this bandwidth.

The default behaviour gets the bandwidth requirement from the codec object created by the channel.

Implements H323Channel.

virtual PBoolean H323UnidirectionalChannel::Open | ( |  | ) | `[virtual]`

Open the channel.

Reimplemented from H323Channel.

virtual PBoolean H323UnidirectionalChannel::Start | ( |  | ) | `[virtual]`

This is called when the channel can start transferring data. The default action is to start one threads, with it either calling Receive() or Transmit() depending on the receiver member variable.

Implements H323Channel.

Reimplemented in H323_ExternalRTPChannel.

virtual void H323UnidirectionalChannel::Close | ( |  | ) | `[virtual]`

This is called to clean up any threads on connection termination.

Reimplemented from H323Channel.

Reimplemented in H323DataChannel, and H323_T38Channel.

virtual void H323UnidirectionalChannel::OnMiscellaneousCommand | ( | const H245_MiscellaneousCommand_type & | type | ) | `[virtual]`

Process a miscellaneous command on the logical channel. The default behaviour passes this on to the codec if not NULL.

Parameters:

  type | Command to process

Reimplemented from H323Channel.

virtual OpalMediaStreamPtr H323UnidirectionalChannel::GetMediaStream | ( |  | ) | const`[virtual]`

Get the media stream associated with this logical channel. The default behaviour returns NULL.

Reimplemented from H323Channel.

void H323UnidirectionalChannel::OnMediaCommand | ( | OpalMediaCommand & | command | ) | `[virtual]`

Reimplemented from H323Channel.

## Member Data Documentation

bool H323UnidirectionalChannel::receiver `[protected]`

OpalMediaStreamPtr H323UnidirectionalChannel::mediaStream `[protected]`

The documentation for this class was generated from the following file:

- channels.h